Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite
Interface RendsiteConfiguration

All Known Implementing Classes:
  RenderConfiguration

    public interface RendsiteConfiguration

Configurations.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Method Summary
`Resources` | `getResources()` Get the system resources.
`things.thinger.SystemInterface` | `getSystemInterface()` Get the system interface.
`boolean` | `isDontClean()` Are we not cleaning? If true, do not clean during processing.
`boolean` | `isFilesystemMode()` Are we in filesystem mode? If true, set urls for filesystem browsing.
`boolean` | `isForceUpdate()` Are we forcing updates?
`boolean` | `loggingAllFileActions()` Are we logging all file actions?
`RendsiteLogger` | `rootLogger()` Get the root/normal logger.

Method Detail

### isForceUpdate

    boolean isForceUpdate()

  Are we forcing updates?

  Returns:
    If it returns true, update everything regardless of last modified dates.

### isFilesystemMode

    boolean isFilesystemMode()

  Are we in filesystem mode? If true, set urls for filesystem browsing. They will be relative, instead of absolute. If on, do not upload anything to a website!

  Returns:
    If true, set urls for filesystem browsing.

### isDontClean

    boolean isDontClean()

  Are we not cleaning? If true, do not clean during processing. For instance, if a file was removed from the source, do not delete it from the target. The system will clean by default.

  Returns:
    If true, do not clean during processing.

### rootLogger

    RendsiteLogger rootLogger()

  Get the root/normal logger.

  Returns:
    The logger.

### getSystemInterface

    things.thinger.SystemInterface getSystemInterface()

  Get the system interface.

  Returns:
    the system interface

### getResources

    Resources getResources()

  Get the system resources.

  Returns:
    the resources.

### loggingAllFileActions

    boolean loggingAllFileActions()

  Are we logging all file actions?

  Returns:
    true if we are.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.